## Useful GTypes

Useful GTypes — some types useful to servers

## Synopsis

    GType               gsk_fd_get_type                     ();
    GType               gsk_param_fd_get_type               ();
    #define             GSK_TYPE_FD
    #define             GSK_TYPE_PARAM_FD
    GParamSpec *        gsk_param_spec_fd                   (const char *name,
                                                             const char *nick,
                                                             const char *blurb,
                                                             GParamFlags flags);

## Description

The only types available so far is a file-descriptor, and its corresponding GParamSpec.

## Details

### gsk_fd_get_type ()

    GType               gsk_fd_get_type                     ();

GType of a file-descriptor. (private)

Returns : |

### gsk_param_fd_get_type ()

    GType               gsk_param_fd_get_type               ();

GType of a GParamSpec which indicates a file-descriptor. (private)

Returns : |

### GSK_TYPE_FD

    #define             GSK_TYPE_FD

GType of a file-descriptor.

### GSK_TYPE_PARAM_FD

    #define             GSK_TYPE_PARAM_FD

GType of a GParamSpec which indicates a file-descriptor.

### gsk_param_spec_fd ()

    GParamSpec *        gsk_param_spec_fd                   (const char *name,
                                                             const char *nick,
                                                             const char *blurb,
                                                             GParamFlags flags);

Make a GParamSpec to indicate a file-descriptor.

`name` : | name of parameter.
`nick` : | nickname of parameter.
`blurb` : | description of parameter.
`flags` : | GParamFlags.
Returns : | a parameter specification.